Bug 845870 - [abrt] qjackctl-0.3.9-1.fc17: _IO_vsnprintf: Process /usr/bin/qjackctl was killed by signal 11 (SIGSEGV)
[abrt] qjackctl-0.3.9-1.fc17: _IO_vsnprintf: Process /usr/bin/qjackctl was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qjackctl (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fernando Lopez-Lezcano
Fedora Extras Quality Assurance
abrt_hash:040d6aa4c8415d207559c0bbc0b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 21:52 EDT by fperloff
Modified: 2013-08-01 01:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.59 KB, text/plain)
2012-08-05 21:52 EDT, fperloff
no flags Details
File: maps (49.88 KB, text/plain)
2012-08-05 21:52 EDT, fperloff
no flags Details
File: dso_list (10.61 KB, text/plain)
2012-08-05 21:52 EDT, fperloff
no flags Details
File: build_ids (4.64 KB, text/plain)
2012-08-05 21:52 EDT, fperloff
no flags Details

  None (edit)
Description fperloff 2012-08-05 21:52:42 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/qjackctl
comment:        I started qjackctl. I started qsynth. qjackctl was killed by signal 11.
crash_function: _IO_vsnprintf
executable:     /usr/bin/qjackctl
kernel:         3.4.5-2.rt13.1.fc17.ccrma.x86_64.rt
pid:            1840
pwd:            /home/fred/Documents
remote_result:  NOTFOUND
time:           Sun 05 Aug 2012 03:52:31 PM PDT
uid:            1000
username:       fred

backtrace:      Text file, 45662 bytes
build_ids:      Text file, 4756 bytes
dso_list:       Text file, 10861 bytes
maps:           Text file, 51077 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/fred/1

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x7480e vsnprintf libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x50a92 snprintf libc.so.6 -
:5497b81b9a8f9ab13c8efbe0b57964c74df9b750 0x2d707 - libjack.so.0 -
:5497b81b9a8f9ab13c8efbe0b57964c74df9b750 0x2dbf0 - libjack.so.0 -
:5497b81b9a8f9ab13c8efbe0b57964c74df9b750 0x2dd13 - libjack.so.0 -
:5497b81b9a8f9ab13c8efbe0b57964c74df9b750 0x30542 Jack::JackLibClient::ClientNotifyImp(int, libjack.so.0 -
:5497b81b9a8f9ab13c8efbe0b57964c74df9b750 0x1586e - libjack.so.0 -
:5497b81b9a8f9ab13c8efbe0b57964c74df9b750 0x339fd - libjack.so.0 -
:5497b81b9a8f9ab13c8efbe0b57964c74df9b750 0x2ccbc - libjack.so.0 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:f69712fe393313f44607679e934bf5a67f39ec50 0xf197d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1089
:HOSTNAME=fedora
:DM_CONTROL=/var/run/xdmctl
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/fred/.gtkrc-2.0:/home/fred/.gtkrc-2.0-kde4:/home/fred/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=fred
:SSH_AUTH_SOCK=/tmp/ssh-HQjTJzFk1050/agent.1050
:MAIL=/var/spool/mail/fred
:DESKTOP_SESSION=default
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/fred/.local/bin:/home/fred/bin
:PWD=/home/fred
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/fred
:KDE_SESSION_VERSION=4
:LOGNAME=fred
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-pFpQsFXL0Q,guid=971212126cb378e518e1b8ae0000003d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/fred
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/fred/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:XAUTHORITY=/tmp/kde-fred/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1197,unix/unix:/tmp/.ICE-unix/1197
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/fred/.gtkrc:/home/fred/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=fedora;1344207073;298709;1210_TIME514480

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29886                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         4294967296           4294967296           bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29886                29886                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     70                   70                   
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[18042]
:pos:	0
:flags:	00
:1:pipe:[27294]
:pos:	0
:flags:	01
:2:pipe:[27294]
:pos:	0
:flags:	01
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[28514]
:pos:	0
:flags:	02004000
:5:pipe:[28514]
:pos:	0
:flags:	02004001
:6:socket:[28515]
:pos:	0
:flags:	02004002
:7:socket:[28518]
:pos:	0
:flags:	02004002
:8:socket:[27289]
:pos:	0
:flags:	02000002
:9:pipe:[27294]
:pos:	0
:flags:	00
:10:pipe:[27294]
:pos:	0
:flags:	01
:11:/dev/snd/seq
:pos:	0
:flags:	02100002
:12:socket:[27522]
:pos:	0
:flags:	02
:13:pipe:[27512]
:pos:	0
:flags:	02004001

smolt_data:
:
:
:General
:=================================
:UUID: 8a319456-8e1c-4fd9-8b5c-e3d4000f8781
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4787.73
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 3757
:System Swap: 3999
:Vendor: LENOVO
:System: 2904FZU ThinkPad T410s
:Form factor: Notebook
:Kernel: 3.4.5-2.rt13.1.fc17.ccrma.x86_64.rt
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15119:6058:8550) pci, None, PCI/ISA, 5 Series/3400 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:70:6058:8641) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15191:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:6058:8546) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb1 / ext4 4096 4096 5112737 3166575 3115384 1286144 1119269 1119269
:

var_log_messages:
:Aug  5 15:52:31 fedora kernel: [  588.933951] qjackctl[1856]: segfault at 991875160 ip 00000032f667480e sp 00007fc7e5ee17f0 error 6 in libc-2.15.so[32f6600000+1ac000]
:Aug  5 15:52:32 fedora abrt[1862]: Saved core dump of pid 1840 (/usr/bin/qjackctl) to /var/spool/abrt/ccpp-2012-08-05-15:52:31-1840 (25526272 bytes)

xsession_errors:
:abrt-applet: repeated problem in qjackctl-0.3.9-1.fc17, not showing the notification
:abrt-applet: repeated problem in qjackctl-0.3.9-1.fc17, not showing the notification
:abrt-applet: repeated problem in qjackctl-0.3.9-1.fc17, not showing the notification
Comment 1 fperloff 2012-08-05 21:52:47 EDT
Created attachment 602395 [details]
File: backtrace
Comment 2 fperloff 2012-08-05 21:52:48 EDT
Created attachment 602396 [details]
File: maps
Comment 3 fperloff 2012-08-05 21:52:51 EDT
Created attachment 602397 [details]
File: dso_list
Comment 4 fperloff 2012-08-05 21:52:52 EDT
Created attachment 602398 [details]
File: build_ids
Comment 5 fperloff 2012-09-26 21:18:01 EDT
Boot the computer

backtrace_rating: 4
Package: qjackctl-0.3.9-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 fperloff 2012-09-29 11:21:33 EDT
Boot compter. jackd loads automatically and throws error. using stock fedora kernel, not real-time kernel from Planet CCRMA.

backtrace_rating: 4
Package: qjackctl-0.3.9-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Orcan Ogetbil 2012-09-29 22:19:12 EDT
Sorry, the given information is insufficient. Please be more verbose:

(In reply to comment #6)
> Boot compter.

How do you reboot? Is jack running? Is anything else running?

> jackd loads automatically 

Under most circumstances, it should not.

> and throws error. 

When? What error?

> using stock fedora
> kernel, not real-time kernel from Planet CCRMA.
> 

What kernel version? Is the error specific to a particular kernel version? Do you belong to the 'jackuser' and 'audio' user groups? Thanks.
Comment 8 Orcan Ogetbil 2012-09-29 22:21:01 EDT
Hmmmm, the first message says

> kernel:         3.4.5-2.rt13.1.fc17.ccrma.x86_64.rt
Comment 9 Fedora End Of Life 2013-07-03 21:16:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 01:34:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.